Page MenuHomePhabricator

Player : Copy source exu's code to destination exu
ClosedPublic

Authored by jsuya on Dec 17 2018, 5:51 PM.

Details

Summary

exactness_play -s -t 1.exu -o 2.exu
The 2.exu has only the screenshot and image.
If it contain the binary code information, 2.exu becomes completed exu.

Test Plan

exactness_play -s -t 1.exu -o 2.exu
and
change some font(elementary_config)
and
test in ea_gen tool

Diff Detail

Repository
rTEXACT tools/exactness
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
jsuya requested review of this revision.Dec 17 2018, 5:51 PM
jsuya created this revision.
JackDanielZ added inline comments.Dec 18 2018, 12:17 AM
src/bin/player.c
1357

Should not it be _src_unit to check?

jsuya updated this revision to Diff 17972.Dec 18 2018, 9:43 PM

Fix code

JackDanielZ added inline comments.Dec 19 2018, 4:41 AM
src/bin/player.c
1373–1374

Why don't you put the code here? And why just when a program is not specified?

You just write _dest_unit->codes = tmp->codes;

Am I right?

jsuya updated this revision to Diff 18006.Dec 19 2018, 8:34 PM

You are right.
I update the code with your advice.
thank you.

JackDanielZ accepted this revision.Dec 21 2018, 12:09 AM
This revision is now accepted and ready to land.Dec 21 2018, 12:09 AM
This revision was automatically updated to reflect the committed changes.